package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SealCertDetailRequest struct {
	// <ext>core:true</ext> 【印章id】印章id 【作用】 指定需查询详情的印章 【传参】 印章id与第三方业务系统印章id必传其一，均传入以印章id为准。
	SealId *int64 `json:"sealId,omitempty"`
	// <ext>core:true</ext> 【第三方业务系统印章id】第三方业务系统印章id 【作用】 指定需查询详情的印章 【传参】 印章id与第三方业务系统印章id必传其一，均传入以印章id为准。
	OpenSealId string `json:"openSealId,omitempty"`
}

func (obj SealCertDetailRequest) GetUrl() string {
	return "/seal/cert/detail"
}

func (obj SealCertDetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("sealId", obj.SealId)
	parameter.AddParam("openSealId", obj.OpenSealId)
	return parameter
}
